﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DistanceJoint3D : MonoBehaviour
{
    public Rigidbody ConnectedRigidbody;
    public float distance;

    private Rigidbody rb;

    private void Awake()
    {
        rb = GetComponent<Rigidbody>();
    }

    private void Start()
    {
        distance = Vector3.Distance(rb.position, ConnectedRigidbody.position);
    }

    private void FixedUpdate()
    {
        var connection = rb.position - ConnectedRigidbody.position;
       // var distanceDiscrepancy = distance - connection.magnitude;

        rb.velocity = connection.normalized * Physics.gravity.y + Physics.gravity;
    }

}
